# zellij
if (( $+commands[zellij] )); then
  # Uncomment to start zellij automatically
  # ZELLIJ_AUTO_ATTACH=true
  # eval "$(zellij setup --generate-auto-start zsh)"

  if (( $+commands[sk] )); then
    za() {
      local zj_sessions=$(zellij list-sessions -ns)
      local no_sessions=$(echo "${zj_sessions}" | wc -l)

      if [ "${no_sessions}" -ge 2 ]; then
          zellij attach \
          "$(echo "${zj_sessions}" | sk)"
      else
         zellij attach -c
      fi
    }
  fi
fi
